Net::DNS::RR::CERT(3)

NAME
Net::DNS::RR::CERT - DNS CERT resource record

SYNOPSIS
"use Net::DNS::RR";

DESCRIPTION
Class for DNS Certificate (CERT) resource records. (see RFC 2538)

METHODS

  format
    print "format = ", $rr->format, "\n";

Returns the format code for the certificate (in numeric form)

  tag
    print "tag = ", $rr->tag, "\n";

Returns the key tag for the public key in the certificate

  algorithm
    print "algorithm = ", $rr->algorithm, "\n";

Returns the algorithm used by the certificate (in numeric form)

  certificate
    print "certificate = ", $rr->certificate, "\n";

Returns the data comprising the certificate itself (in raw binary form)

COPYRIGHT
Copyright (c) 1997-2002 Michael Fuhr.

Portions Copyright (c) 2002-2004 Chris Reinhardt.

All rights reserved. This program is free software; you may redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
perl(1), Net::DNS, Net::DNS::Resolver, Net::DNS::Packet, Net::DNS::Header, Net::DNS::Question, Net::DNS::RR, RFC 2782